## shadowsocks-libev 2.4.7+20160630+ds

=== debian/changelog ===
shadowsocks-libev (2.4.7+20160630+ds-3) unstable; urgency=low

  * debian/rules:
    - Add param "--disable-ssp" to dh_auto_configure command.
      Thanks to Aaron M. Ucko and Boyuan Yang. (Closes: #829498)
  * debian/patches:
    - Add 0003 patch, to fix PATH_MAX for GNU/Hurd.
    - Cherry-Pick two patch from upstream as 0004 and 0005

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 18 Jul 2016 23:26:20 +0900

shadowsocks-libev (2.4.7+20160630+ds-2) unstable; urgency=medium

  * debian/control
    - Move to git repo to collab-maint on alioth
  * Change way to handle config file
    Install config.json file to /usr/share/<pkg>, instead of /etc, and then
    generate a config file under /etc, because conffile (under /etc) cannot
    be modified by maintainer script according to Debian Policy.
    Thanks help from Andreas Beckmann. (Closes: #829478)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 06 Jul 2016 01:49:40 +0200

shadowsocks-libev (2.4.7+20160630+ds-1) unstable; urgency=medium

  * Initial release (Closes: #824268)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 02 Jul 2016 10:18:59 +0200
