=== debian/control ===
Source: shadowsocks-libev
Section: net
Priority: extra
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Uploaders: Max Lv <max.c.lv@gmail.com>, Boyuan Yang <073plan@gmail.com>
Build-Depends: debhelper (>=9.20160403), dh-systemd, pkg-config, libmbedtls-dev, libev-dev, libudns-dev, libsodium-dev, libcork-dev, libcorkipset-dev
Standards-Version: 3.9.8
Homepage: https://www.shadowsocks.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/shadowsocks-libev.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shadowsocks-libev.git

Package: shadowsocks-libev
Replaces: shadowsocks (<< 1.5.3-2)
Breaks: shadowsocks (<< 1.5.3-2)
Architecture: any
Depends: apg, ${shlibs:Depends}, ${misc:Depends}
Description: lightweight and secure socks5 proxy
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries. OpenSSL dependency is removed due to license issue.

Package: libshadowsocks-libev1
Architecture: any
Multi-Arch: same
Section: libs
Breaks: shadowsocks-libev (<< 2.4.0)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight and secure socks5 proxy (shared library)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries. OpenSSL dependency is removed due to license issue.
 .
 This package provides shared libraries.

Package: libshadowsocks-libev-dev
Architecture: any
Section: libdevel
Breaks: shadowsocks-libev (<< 2.4.0)
Depends: libshadowsocks-libev1 (= ${binary:Version}), ${misc:Depends}
Description: lightweight and secure socks5 proxy (development files)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries. OpenSSL dependency is removed due to license issue.
 .
 This package provides C header files for the libraries.
