=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_install:
	find src/ -name '*.la' -delete
	dh_auto_install

override_dh_auto_configure:
	dh_auto_configure -- --disable-ssp \
		--with-crypto-library=mbedtls \
        --enable-shared --enable-system-shared-lib

%:
	dh $@ --with systemd
