## shadowsocks-libev 2.4.8+ds

=== debian/changelog ===
shadowsocks-libev (2.4.8+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/patches:
    - Add patch to disable cipher CHACHA20IETF, which it's not supported
      by libsodium in jessie

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 02:51:35 +0900

shadowsocks-libev (2.4.8+ds-1) unstable; urgency=medium

  * Update to upstream v2.4.8
    - Remove patches merged by upstream: 0003 0004 0005
    - Update patch 0001: make it appliable to this version
    - Update debian/control to add newly appended build-dep
    - Update debian/rulesi to adjust param ordering as close as upstream
    - Update debian/copyright to remove man/, which merged into doc/ folder
  * debian/patches:
    - Cherry-Pick upstream patch 0003: add a few spaces to asciidoc to make
      lintian happy. Thanks to Max Lv for fixing this.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 22 Jul 2016 23:10:14 +0900
