## shadowsocks-libev 2.5.5+ds

=== debian/changelog ===
shadowsocks-libev (2.5.5+ds-2) unstable; urgency=medium

  * debian/copyright:
    - update slightly
  * debian/control:
    - Add lsb-base as dependency to package shadowsocks-libev, since the init
      script sources /lib/lsb/init-functions utility functions
    - Change the order of binary packages.
      Because README.Debian by default only installs on 1st binary package.
      (Closes: #842039)
    - Bump libcork-dev dependency version to incorporate the new libcork16
      library transition to avoid possible build issue.
  * debian/patches:
    - Refresh patches
    - Backport a few fixes from upstream

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 30 Oct 2016 12:24:15 +0900

shadowsocks-libev (2.5.5+ds-1) unstable; urgency=medium

  * Update to upstream v2.5.5

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 13 Oct 2016 00:57:07 +0900

shadowsocks-libev (2.5.3+ds-1) experimental; urgency=low

  * Update to upstream v2.5.3
    - Remove patches merged by upstream: 0003
    - Update patch 0001 0002: make it appliable to this version
    - Update debian/copyright: remove .github/, add newly appended files
  * debian/control:
    - Update based on upstream's change
    - Add Replaces and Breaks for lib version up
  * debian/maint-tools/:
    - Add two script to make life easier for new upstream release
  * debian/copyright:
    - Add license information for m4/ files

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 04 Oct 2016 23:05:55 +0900
