## shadowsocks-libev 2.5.6+ds

=== debian/changelog ===
shadowsocks-libev (2.5.6+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/patches:
    - Update 0003 patch, to disable cipher CHACHA20IETF,
      which it's not supported by libsodium in jessie
    - Refresh patches

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 28 Nov 2016 01:18:44 +0900

shadowsocks-libev (2.5.6+ds-1) unstable; urgency=medium

  * New upstream release 2.5.6
  * debian/maint-tools:
    - Remove backported patches when merge with upstream
    - Fix typo and catch exception of tag existence
    - Add README

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 05 Nov 2016 17:50:04 +0900
