## shadowsocks-libev 2.6.0+ds

=== debian/changelog ===
shadowsocks-libev (2.6.0+ds-2) unstable; urgency=medium

  * Revert obfuscating function added since v2.6.0,
    due to it's already dropped by upstream, and won't be
    supported in the future.
  * debian/patches:
    - Add revert patch and refresh patches.
  * debian/copyright:
    - Add new entry of copyright on src/base64.{c,h}
    - Update copyright year.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 05 Jan 2017 23:55:09 +0900

shadowsocks-libev (2.6.0+ds-1) experimental; urgency=medium

  * New upstream release 2.6.0
  * debian/maint-tools:
    - Update README and script
  * debian/patches:
    - Rebase patches.
    - Backport a few patches from upstream.
  * debian/control & debian/shadowsocks-libev.postinst:
    - Add capabilities for Debian, so it's able to run ss-* as non-root.
      Cherry-picked from upstream git repo, And thanks to
      Zhengjun Zhang <siyanmao.sec@gmail.com>.
  * debian/control:
    - Build-Depends on asciidoc-base instead of asciidoc.
    - Set libshadowsocks-libev-dev as "Multi-Arch: same", based on wiki:
      https://wiki.debian.org/MultiArch/Hints

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 05 Jan 2017 01:40:09 +0900
