## shadowsocks-libev 2.6.1+ds

=== debian/changelog ===
shadowsocks-libev (2.6.1+ds-2) unstable; urgency=medium

  * debian/control:
    - Limit "Suggests: libcap2-bin" in "linux-any". Hurd/kFreeBSD
      don't have this supported.
  * debian/patches:
    - Backport a patch from upstream to fix FTBFS on GNU/Hurd.
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 10 Jan 2017 23:38:17 +0900

shadowsocks-libev (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release 2.6.1
  * debian/copyright:
    - Remove entry of copyright on src/base64.{c,h}, because those two src
      files has been removed from upstream.
  * debian/patches:
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 10 Jan 2017 00:07:49 +0900
