=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roger Shimizu <rogershimizu@gmail.com>
 Uploaders: Max Lv <max.c.lv@gmail.com>, Boyuan Yang <073plan@gmail.com>
 Build-Depends:
- asciidoc,
+ asciidoc-base,
  debhelper (>= 10),
  dh-systemd,
  libcork-dev (>= 0.15.0+ds-8),
@@ -30,6 +30,8 @@
  lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ libcap2-bin [linux-any]
 Description: lightweight and secure socks5 proxy
  Shadowsocks-libev is a lightweight and secure socks5 proxy for
  embedded devices and low end boxes.
@@ -40,6 +42,7 @@
 
 Package: libshadowsocks-libev-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Breaks: shadowsocks-libev (<< 2.4.0)
 Depends:
