## shadowsocks-libev 2.6.2+ds

=== debian/changelog ===
shadowsocks-libev (2.6.2+ds-1) unstable; urgency=medium

  * debian/shadowsocks-libev.{default,init,service}:
    - Run service as non-root.
  * debian/control:
    - Move libcap2-bin from Suggests to Depends.
  * debian/shadowsocks-libev.init:
    - To make plugin stop working also.
  * debian/patches:
    - Refresh existing patches.
    - Backport a few patches from upstream:
      + Fix typo of upstream changelog.
      + Fix src/server.c (Patch 0004)
      + Update manpage docs.
      + Update README of upstream.
      + Fix completions/bash/ss-server.
  * debian/copyright:
    - Update copyright year.
    - Remove a few files and directory from Files-Excluded, because those
      are already removed from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 21 Jan 2017 15:22:27 +0900
