## shadowsocks-libev 2.6.3+ds

=== debian/changelog ===
shadowsocks-libev (2.6.3+ds-3+deb9u1) stretch-security; urgency=high

  * debian/patches:
    - Backport a few patches from upstream.
      + [c67d275] Fix potential local exploit issue.
        Thanks to X41 D-Sec GmbH, Niklas Abel, for the reporting:
          https://www.x41-dsec.de/lab/advisories/x41-2017-010-shadowsocks-libev/

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Oct 2017 20:49:42 +0900

shadowsocks-libev (2.6.3+ds-3) unstable; urgency=medium

  * debian/patches:
    - Backport a few patches from upstream:
      + Fix Upstream BTS#1210 (again):
        Update doc (manpages) to fix typos. Thanks to Simon Shi.
      + Update ACL list, Upstream BTS#1394.
      + Fix two potential out of bound access, Upstream BTS#1465.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 20 Apr 2017 22:44:32 +0900

shadowsocks-libev (2.6.3+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport a few patches from upstream:
      + Fix Upstream BTS#1148:
        ss-local doesn't do DNS resolving for acl bypassed domains.
        (Closes: #859499).
      + Fix Upstream BTS#1210:
        Update doc (manpages) to fix typos. Thanks to Simon Shi.
        (Closes: #859502).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 04 Apr 2017 21:48:26 +0900

shadowsocks-libev (2.6.3+ds-1) unstable; urgency=medium

  * New upstream release 2.6.3
  * debian/copyright: Add .gitmodules and m4/lib-link.m4 to
    Files-Excluded list.
  * debian/patches:
    - Rebase previous patches, because upstream modified autoconf
      files heavily.
  * debian/rules:
    - Remove --enable-system-shared-lib from configure param.
    - Add note for --disable-ssp.
  * debian/patches:
    - Backport a few patches from upstream:
      + Cleanup unused _WIN32 #ifdef.
      + Add condition to check whether to support chacha20-ietf cipher
        (Patch 0004~0006 0008).
      + Cleanup configure.ac.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Jan 2017 19:58:24 +0900
