=== debian/control ===
--- 
+++ 
@@ -27,11 +27,10 @@
 Architecture: any
 Depends:
  apg,
+ libcap2-bin [linux-any],
  lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends}
-Suggests:
- libcap2-bin [linux-any]
 Description: lightweight and secure socks5 proxy
  Shadowsocks-libev is a lightweight and secure socks5 proxy for
  embedded devices and low end boxes.
