=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,9 @@
 	dh_auto_configure -- \
         --enable-shared \
         --disable-ssp \
-        --enable-system-shared-lib \
         --with-crypto-library=mbedtls
+	# Whether to have stack-protector is decided by dpkg-buildflags.
+	# So --disable-ssp here should be safe. See Bug#829498
 
 %:
 	dh $@ --with systemd
