=== debian/watch ===
version=4

opts="repack,compression=xz, \
   dversionmangle=s/\+ds\d*$//,repacksuffix=+ds, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shadowsocks-libev-$1.tar.gz%" \
   https://github.com/shadowsocks/shadowsocks-libev/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
