## shadowsocks-libev 3.0.5+ds

=== debian/changelog ===
shadowsocks-libev (3.0.5+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.0.5
  * debian/control:
    - Add libbloom-dev as Build-Depends, which is required since 3.0.3.
  * debian/copyright:
    - Add new entry of scripts/build_deb.sh
  * debian/rules:
    - Remove old hardening environment variables which is not necessary
      any more.
    - Create libbloom folder temporarily for dh_autoreconf, because
      configure.ac complains without it.
  * debian/patches:
    - Backport patches from upstream, till commit [adbc0be].

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 13 Apr 2017 21:24:48 +0900

shadowsocks-libev (3.0.2+ds-1~exp2) experimental; urgency=medium

  * debian/ folder sync with upstream:
    - README.Debian
      + Remove "Alternated crypto library" part, since upstream now
        supports mbedtls only.
    - config.json
      + Set rc4-md5 as default cipher
    - control
      + Add libsodium-dev version requirement >= 1.0.8~
      + Remove "OpenSSL dependency is removed due to license issue".
    - rules
      + Remove "--with systemd" because it's enabled by default since
        debhelper 10
    - shadowsocks-libev.docs
      + Add AUTHORS and README.md
  * debian/patches:
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 18 Feb 2017 16:36:44 +0900

shadowsocks-libev (3.0.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.0.2
  * debian/copyright:
    - Remove non-existing files from Files-Excluded list.
    - Add entry of src/base64.{c,h} and scripts/deb4*.sh.
  * debian/patches:
    - Remove all debian specific patches (0001 & 0002), after backporting
      a new autotool related patch from upstream. Thanks to Max Lv.
    - Backport a few patches from upstream.
  * debian/control:
    - Add asciidoc as alternative Build-Depends. Although sbuild doesn't
      support it, it's better to mention here, because there's no
      asciidoc-base package in jessie-backports and ubuntu.
    - Remove dh-systemd from Build-Depends, which is unnecessary in
      debhelper 10.
  * debian/shadowsocks-libev.postinst:
    - Add CAP_NET_ADMIN capability to ss-redir
  * debian/rules:
    - override_dh_autoreconf:
      + Since now we use autotool scripts the same as upstream, here we
        have to add some dummy folders/files to feed configure.ac.
    - override_dh_auto_configure:
      + Add --enable-system-shared-lib
      + Remove --with-crypto-library, since upstream now only supports
        mbedtls and removes this option.
  * debian/shadowsocks-libev.docs:
    - Install contrib scripts as docs.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 16 Feb 2017 02:35:57 +0900
