=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Roger Shimizu <rogershimizu@gmail.com>
 Uploaders: Max Lv <max.c.lv@gmail.com>, Boyuan Yang <073plan@gmail.com>
 Build-Depends:
- asciidoc-base,
+ asciidoc-base | asciidoc,
  debhelper (>= 10),
- dh-systemd,
+ libbloom-dev,
  libcork-dev (>= 0.15.0+ds-8),
  libcorkipset-dev,
  libev-dev,
  libmbedtls-dev,
  libpcre3-dev,
- libsodium-dev,
+ libsodium-dev (>= 1.0.8~),
  libudns-dev,
  pkg-config,
  xmlto
@@ -26,7 +26,7 @@
 Breaks: shadowsocks (<< 1.5.3-2)
 Architecture: any
 Depends:
- apg,
+ apg | pwgen,
  libcap2-bin [linux-any],
  lsb-base (>= 3.0-6),
  ${misc:Depends},
@@ -37,7 +37,7 @@
  .
  Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
  in pure C and only depends on libev, mbedTLS and a few other tiny
- libraries. OpenSSL dependency is removed due to license issue.
+ libraries.
 
 Package: libshadowsocks-libev-dev
 Architecture: any
@@ -53,7 +53,7 @@
  .
  Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
  in pure C and only depends on libev, mbedTLS and a few other tiny
- libraries. OpenSSL dependency is removed due to license issue.
+ libraries.
  .
  This package provides C header files for the libraries.
 
@@ -75,6 +75,6 @@
  .
  Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
  in pure C and only depends on libev, mbedTLS and a few other tiny
- libraries. OpenSSL dependency is removed due to license issue.
+ libraries.
  .
  This package provides shared libraries.
