## shadowsocks-libev 3.0.7+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.2)
 
 set(PROJECT_NAME shadowsocks-libev)
-set(RELEASE_DATE 2017-4-26)
-set(PROJECT_VERSION "3.0.6")
+set(RELEASE_DATE 2017-6-27)
+set(PROJECT_VERSION "3.0.7")
 set(PROJECT_DESC "a lightweight secured socks5 proxy")
 set(PROJECT_URL "https://shadowsocks.org")
 set(PROJECT_ISSUES_URL "https://github.com/shadowsocks/shadowsocks-libev")
