=== debian/changelog ===
shadowsocks-libev (3.0.7+ds-2) unstable; urgency=medium

  * Add back debian/patches/backport/README
  * debian/control:
    - Add to Suggests: haveged, kcptun, simple-obfs.
  * debian/patches:
    - Cherry-pick upstream fixes till commit 0e74ea50.
    - Add a patch to fix reproducible build.
  * Add debian/doc-base.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 10 Jul 2017 01:08:16 +0900

shadowsocks-libev (3.0.7+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 04 Jul 2017 23:43:55 +0900

shadowsocks-libev (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release 3.0.7
  * debian/control:
    Bump Standards-Version to 4.0.0, no changes required.
  * debian/patches:
    - drop all backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 27 Jun 2017 15:34:23 +0800
