=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libudns-dev,
  pkg-config,
  xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.shadowsocks.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/shadowsocks-libev.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shadowsocks-libev.git
@@ -31,6 +31,10 @@
  lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ haveged,
+ kcptun,
+ simple-obfs
 Description: lightweight and secure socks5 proxy
  Shadowsocks-libev is a lightweight and secure socks5 proxy for
  embedded devices and low end boxes.
