=== debian/changelog ===
shadowsocks-libev (3.0.8+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 08 Aug 2017 10:12:26 -0400

shadowsocks-libev (3.0.8+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport a patch from upstream to update json.c to latest,
      to fix a security issue.
    - Refresh patches.
  * debian/control:
    - Bump libsodium-dev required version to 1.0.12, to enable more ciphers.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Aug 2017 01:37:26 +0900

shadowsocks-libev (3.0.8+ds-1) unstable; urgency=medium

  * New upstream release 3.0.8

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 28 Jul 2017 00:38:39 +0900

shadowsocks-libev (3.0.7+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 15 Jul 2017 22:49:12 +0900

shadowsocks-libev (3.0.7+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 15 Jul 2017 20:49:07 +0900
