=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libev-dev,
  libmbedtls-dev,
  libpcre3-dev,
- libsodium-dev (>= 1.0.8~),
+ libsodium-dev (>= 1.0.12),
  libudns-dev,
  pkg-config,
  xmlto
