=== debian/changelog ===
shadowsocks-libev (3.1.0+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 14 Oct 2017 16:24:56 +0900

shadowsocks-libev (3.1.0+ds-1) unstable; urgency=medium

  * Release to unstable.
  * d/patches:
    - Backport a few patches from upstream.
      + [b721c0f] Update docs for TCP_NODELAY.
      + [82694c8] properly set recv_ctx->connected.
      + [da85fa1] Fix scripts/build_deb.sh for debian jessie.
      + [10a2d3e] Fix make distclean failure when
        ./configure --disable-documentation
  * Remove debian/source.lintian-overrides from
    debian/source.lintian-override, since it's unused.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 07 Oct 2017 01:36:58 +0900

shadowsocks-libev (3.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.1.0
  * d/control:
    - Note replacing dependency libudns-dev with libc-ares-dev.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 20 Sep 2017 01:38:40 +0900

shadowsocks-libev (3.0.8+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 08 Aug 2017 15:14:25 -0400
